Subject: Re: bug#62657: PCRE2-related workarounds that GNU grep might need

From: Carlo Arenas <[email-masked]>
Date: Tue, 4 Apr 2023 00:34:20 -0700

On Mon, Apr 3, 2023 at 11:23 PM Paul Eggert <[email-masked]> wrote:
>
> On 2023-04-03 23:17, Carlo Arenas wrote:
> > On Mon, Apr 3, 2023 at 2:50 PM Paul Eggert <[email-masked]> wrote:
> >>
> >>     * Disable PCRE2_UCP unless PCRE2 10.35 or higher.
> >
> > this is because of a bug in JIT, alternatively JIT could be disabled
>
> Oh, that might be better as it doesn't affect behavior (just performance).

Also, unlike `git`; GNU grep doesn't use the fastpath JIT API and skip
UTF validation, so this crash can only be triggered in 10.34 and not
older versions, even with JIT and PCRE2_UCP enabled.

Carlo